<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerRawData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_raw_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerRawData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_raw_data_8h_source.html">TrackerRawData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a29c713a1bef3ee4e54856cd6a8ce2626"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a29c713a1bef3ee4e54856cd6a8ce2626">TrackerRawData</a> ()</td></tr>
<tr class="memdesc:a29c713a1bef3ee4e54856cd6a8ce2626"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a29c713a1bef3ee4e54856cd6a8ce2626">More...</a><br /></td></tr>
<tr class="separator:a29c713a1bef3ee4e54856cd6a8ce2626"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc00e0936573ca2c980e576559d7c863"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#abc00e0936573ca2c980e576559d7c863">TrackerRawData</a> (long long <a class="el" href="classeic_1_1_tracker_raw_data.html#a8ea0c08412ba1747cc8357575697ae12">cellID0</a>, long long <a class="el" href="classeic_1_1_tracker_raw_data.html#a9bef28a8e6c4eea989c80d005274b1f5">cellID1</a>, long long <a class="el" href="classeic_1_1_tracker_raw_data.html#a0e63345795775b90dd80e1f41b786917">channelID</a>, int <a class="el" href="classeic_1_1_tracker_raw_data.html#ad873d04d87edaf3a27b1e4afd16710ea">time</a>, int <a class="el" href="classeic_1_1_tracker_raw_data.html#acdcf9ed808bf6ec4dacdf395fafc4a5b">adc</a>)</td></tr>
<tr class="separator:abc00e0936573ca2c980e576559d7c863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a057e9eca33322ab3ffd748fac2f272c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a057e9eca33322ab3ffd748fac2f272c5">TrackerRawData</a> (<a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> *obj)</td></tr>
<tr class="memdesc:a057e9eca33322ab3ffd748fac2f272c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a>  <a href="#a057e9eca33322ab3ffd748fac2f272c5">More...</a><br /></td></tr>
<tr class="separator:a057e9eca33322ab3ffd748fac2f272c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd3cb32463945e352747aacda761cf52"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#abd3cb32463945e352747aacda761cf52">TrackerRawData</a> (const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;other)</td></tr>
<tr class="memdesc:abd3cb32463945e352747aacda761cf52"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#abd3cb32463945e352747aacda761cf52">More...</a><br /></td></tr>
<tr class="separator:abd3cb32463945e352747aacda761cf52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2e024493682d40f43cae0d7d0b24637"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#ab2e024493682d40f43cae0d7d0b24637">operator=</a> (const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;other)</td></tr>
<tr class="memdesc:ab2e024493682d40f43cae0d7d0b24637"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#ab2e024493682d40f43cae0d7d0b24637">More...</a><br /></td></tr>
<tr class="separator:ab2e024493682d40f43cae0d7d0b24637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31613e263d5e49d4e7afdf8a4c114afb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a31613e263d5e49d4e7afdf8a4c114afb">clone</a> () const</td></tr>
<tr class="memdesc:a31613e263d5e49d4e7afdf8a4c114afb"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a31613e263d5e49d4e7afdf8a4c114afb">More...</a><br /></td></tr>
<tr class="separator:a31613e263d5e49d4e7afdf8a4c114afb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c84d7758aa7fca9e7bca1221c64970a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a5c84d7758aa7fca9e7bca1221c64970a">~TrackerRawData</a> ()</td></tr>
<tr class="memdesc:a5c84d7758aa7fca9e7bca1221c64970a"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a5c84d7758aa7fca9e7bca1221c64970a">More...</a><br /></td></tr>
<tr class="separator:a5c84d7758aa7fca9e7bca1221c64970a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e1e85d781871fbdd2d2f6114f71b8f1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a7e1e85d781871fbdd2d2f6114f71b8f1">operator ConstTrackerRawData</a> () const</td></tr>
<tr class="memdesc:a7e1e85d781871fbdd2d2f6114f71b8f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion to const object  <a href="#a7e1e85d781871fbdd2d2f6114f71b8f1">More...</a><br /></td></tr>
<tr class="separator:a7e1e85d781871fbdd2d2f6114f71b8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ea0c08412ba1747cc8357575697ae12"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a8ea0c08412ba1747cc8357575697ae12">cellID0</a> () const</td></tr>
<tr class="memdesc:a8ea0c08412ba1747cc8357575697ae12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#a8ea0c08412ba1747cc8357575697ae12">More...</a><br /></td></tr>
<tr class="separator:a8ea0c08412ba1747cc8357575697ae12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bef28a8e6c4eea989c80d005274b1f5"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a9bef28a8e6c4eea989c80d005274b1f5">cellID1</a> () const</td></tr>
<tr class="memdesc:a9bef28a8e6c4eea989c80d005274b1f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#a9bef28a8e6c4eea989c80d005274b1f5">More...</a><br /></td></tr>
<tr class="separator:a9bef28a8e6c4eea989c80d005274b1f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e63345795775b90dd80e1f41b786917"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a0e63345795775b90dd80e1f41b786917">channelID</a> () const</td></tr>
<tr class="memdesc:a0e63345795775b90dd80e1f41b786917"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the channel id.  <a href="#a0e63345795775b90dd80e1f41b786917">More...</a><br /></td></tr>
<tr class="separator:a0e63345795775b90dd80e1f41b786917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad873d04d87edaf3a27b1e4afd16710ea"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#ad873d04d87edaf3a27b1e4afd16710ea">time</a> () const</td></tr>
<tr class="memdesc:ad873d04d87edaf3a27b1e4afd16710ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the time measurement associated with the adc values.  <a href="#ad873d04d87edaf3a27b1e4afd16710ea">More...</a><br /></td></tr>
<tr class="separator:ad873d04d87edaf3a27b1e4afd16710ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdcf9ed808bf6ec4dacdf395fafc4a5b"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#acdcf9ed808bf6ec4dacdf395fafc4a5b">adc</a> () const</td></tr>
<tr class="memdesc:acdcf9ed808bf6ec4dacdf395fafc4a5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the measured ADC values.  <a href="#acdcf9ed808bf6ec4dacdf395fafc4a5b">More...</a><br /></td></tr>
<tr class="separator:acdcf9ed808bf6ec4dacdf395fafc4a5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa00ff370f1c9edbf2b45785340d2cbd8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#aa00ff370f1c9edbf2b45785340d2cbd8">cellID0</a> (long long value)</td></tr>
<tr class="memdesc:aa00ff370f1c9edbf2b45785340d2cbd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The detector specific (geometrical) cell id.  <a href="#aa00ff370f1c9edbf2b45785340d2cbd8">More...</a><br /></td></tr>
<tr class="separator:aa00ff370f1c9edbf2b45785340d2cbd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4604fb25da891342ecddd3491b3c87d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a4604fb25da891342ecddd3491b3c87d9">cellID1</a> (long long value)</td></tr>
<tr class="memdesc:a4604fb25da891342ecddd3491b3c87d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The second detector specific (geometrical) cell id.  <a href="#a4604fb25da891342ecddd3491b3c87d9">More...</a><br /></td></tr>
<tr class="separator:a4604fb25da891342ecddd3491b3c87d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e0d0c59fbcaaf15b83a8a1e63eb333"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#aa3e0d0c59fbcaaf15b83a8a1e63eb333">channelID</a> (long long value)</td></tr>
<tr class="memdesc:aa3e0d0c59fbcaaf15b83a8a1e63eb333"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the channel id.  <a href="#aa3e0d0c59fbcaaf15b83a8a1e63eb333">More...</a><br /></td></tr>
<tr class="separator:aa3e0d0c59fbcaaf15b83a8a1e63eb333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8c542271c8277c37a59b782abce5bcb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#ab8c542271c8277c37a59b782abce5bcb">time</a> (int value)</td></tr>
<tr class="memdesc:ab8c542271c8277c37a59b782abce5bcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the time measurement associated with the adc values.  <a href="#ab8c542271c8277c37a59b782abce5bcb">More...</a><br /></td></tr>
<tr class="separator:ab8c542271c8277c37a59b782abce5bcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf44723939bed16b90ef43bc1a0f147a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#aaf44723939bed16b90ef43bc1a0f147a">adc</a> (int value)</td></tr>
<tr class="memdesc:aaf44723939bed16b90ef43bc1a0f147a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the measured ADC values.  <a href="#aaf44723939bed16b90ef43bc1a0f147a">More...</a><br /></td></tr>
<tr class="separator:aaf44723939bed16b90ef43bc1a0f147a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a130e7250746aa8411f6756f9052dc697"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a130e7250746aa8411f6756f9052dc697">isAvailable</a> () const</td></tr>
<tr class="memdesc:a130e7250746aa8411f6756f9052dc697"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a130e7250746aa8411f6756f9052dc697">More...</a><br /></td></tr>
<tr class="separator:a130e7250746aa8411f6756f9052dc697"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f2532c84bcc6d7381030c8a58dc992c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a1f2532c84bcc6d7381030c8a58dc992c">unlink</a> ()</td></tr>
<tr class="memdesc:a1f2532c84bcc6d7381030c8a58dc992c"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> instance  <a href="#a1f2532c84bcc6d7381030c8a58dc992c">More...</a><br /></td></tr>
<tr class="separator:a1f2532c84bcc6d7381030c8a58dc992c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40ba2561240e154b3ea5a98e53bdf8cd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a40ba2561240e154b3ea5a98e53bdf8cd">operator==</a> (const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;other) const</td></tr>
<tr class="separator:a40ba2561240e154b3ea5a98e53bdf8cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87d2499ce3b7612a034c5d61cb09d31"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#ae87d2499ce3b7612a034c5d61cb09d31">operator==</a> (const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;other) const</td></tr>
<tr class="separator:ae87d2499ce3b7612a034c5d61cb09d31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38928797b560131fa577cb57bffdb47e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a38928797b560131fa577cb57bffdb47e">operator&lt;</a> (const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;other) const</td></tr>
<tr class="separator:a38928797b560131fa577cb57bffdb47e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76ac8d7c22af8711bf65585a039ee309"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a76ac8d7c22af8711bf65585a039ee309">id</a> () const</td></tr>
<tr class="separator:a76ac8d7c22af8711bf65585a039ee309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40e0d3df4e5f584214a88bd37cc628c6"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_raw_data.html#a40e0d3df4e5f584214a88bd37cc628c6">getObjectID</a> () const</td></tr>
<tr class="separator:a40e0d3df4e5f584214a88bd37cc628c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC tracker raw data </p><dl class="section author"><dt>Author</dt><dd>: Whit Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8h_source.html#l00025">25</a> of file <a class="el" href="_tracker_raw_data_8h_source.html">TrackerRawData.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a29c713a1bef3ee4e54856cd6a8ce2626"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29c713a1bef3ee4e54856cd6a8ce2626">&#9670;&nbsp;</a></span>TrackerRawData() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawData::TrackerRawData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00016">16</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="abc00e0936573ca2c980e576559d7c863"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc00e0936573ca2c980e576559d7c863">&#9670;&nbsp;</a></span>TrackerRawData() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawData::TrackerRawData </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>channelID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>adc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00020">20</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00020">eic::TrackerRawDataData::adc</a>, <a class="el" href="_tracker_raw_data_8cc_source.html#l00056">adc()</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00016">eic::TrackerRawDataData::cellID0</a>, <a class="el" href="_tracker_raw_data_8cc_source.html#l00052">cellID0()</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00017">eic::TrackerRawDataData::cellID1</a>, <a class="el" href="_tracker_raw_data_8cc_source.html#l00053">cellID1()</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00018">eic::TrackerRawDataData::channelID</a>, <a class="el" href="_tracker_raw_data_8cc_source.html#l00054">channelID()</a>, <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>, <a class="el" href="_tracker_raw_data_data_8h_source.html#l00019">eic::TrackerRawDataData::time</a>, and <a class="el" href="_tracker_raw_data_8cc_source.html#l00055">time()</a>.</p>

</div>
</div>
<a id="a057e9eca33322ab3ffd748fac2f272c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a057e9eca33322ab3ffd748fac2f272c5">&#9670;&nbsp;</a></span>TrackerRawData() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawData::TrackerRawData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00039">39</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="abd3cb32463945e352747aacda761cf52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd3cb32463945e352747aacda761cf52">&#9670;&nbsp;</a></span>TrackerRawData() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawData::TrackerRawData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00029">29</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="a5c84d7758aa7fca9e7bca1221c64970a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c84d7758aa7fca9e7bca1221c64970a">&#9670;&nbsp;</a></span>~TrackerRawData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawData::~TrackerRawData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00047">47</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acdcf9ed808bf6ec4dacdf395fafc4a5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdcf9ed808bf6ec4dacdf395fafc4a5b">&#9670;&nbsp;</a></span>adc() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::TrackerRawData::adc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the measured ADC values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00056">56</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00020">eic::TrackerRawDataData::adc</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_8cc_source.html#l00020">TrackerRawData()</a>.</p>

</div>
</div>
<a id="aaf44723939bed16b90ef43bc1a0f147a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf44723939bed16b90ef43bc1a0f147a">&#9670;&nbsp;</a></span>adc() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawData::adc </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the measured ADC values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00063">63</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00020">eic::TrackerRawDataData::adc</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

</div>
</div>
<a id="a8ea0c08412ba1747cc8357575697ae12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ea0c08412ba1747cc8357575697ae12">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerRawData::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00052">52</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00016">eic::TrackerRawDataData::cellID0</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_8cc_source.html#l00020">TrackerRawData()</a>.</p>

</div>
</div>
<a id="aa00ff370f1c9edbf2b45785340d2cbd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa00ff370f1c9edbf2b45785340d2cbd8">&#9670;&nbsp;</a></span>cellID0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawData::cellID0 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00059">59</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00016">eic::TrackerRawDataData::cellID0</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

</div>
</div>
<a id="a9bef28a8e6c4eea989c80d005274b1f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bef28a8e6c4eea989c80d005274b1f5">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerRawData::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00053">53</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00017">eic::TrackerRawDataData::cellID1</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_8cc_source.html#l00020">TrackerRawData()</a>.</p>

</div>
</div>
<a id="a4604fb25da891342ecddd3491b3c87d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4604fb25da891342ecddd3491b3c87d9">&#9670;&nbsp;</a></span>cellID1() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawData::cellID1 </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00060">60</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00017">eic::TrackerRawDataData::cellID1</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

</div>
</div>
<a id="a0e63345795775b90dd80e1f41b786917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e63345795775b90dd80e1f41b786917">&#9670;&nbsp;</a></span>channelID() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::TrackerRawData::channelID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the channel id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00054">54</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00018">eic::TrackerRawDataData::channelID</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_8cc_source.html#l00020">TrackerRawData()</a>.</p>

</div>
</div>
<a id="aa3e0d0c59fbcaaf15b83a8a1e63eb333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e0d0c59fbcaaf15b83a8a1e63eb333">&#9670;&nbsp;</a></span>channelID() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawData::channelID </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the channel id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00061">61</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_data_8h_source.html#l00018">eic::TrackerRawDataData::channelID</a>, and <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>.</p>

</div>
</div>
<a id="a31613e263d5e49d4e7afdf8a4c114afb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31613e263d5e49d4e7afdf8a4c114afb">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> eic::TrackerRawData::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00043">43</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="a40e0d3df4e5f584214a88bd37cc628c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40e0d3df4e5f584214a88bd37cc628c6">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::TrackerRawData::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00078">78</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_8h_source.html#l00105">id()</a>.</p>

</div>
</div>
<a id="a76ac8d7c22af8711bf65585a039ee309"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76ac8d7c22af8711bf65585a039ee309">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::TrackerRawData::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8h_source.html#l00105">105</a> of file <a class="el" href="_tracker_raw_data_8h_source.html">TrackerRawData.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_8cc_source.html#l00078">getObjectID()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a130e7250746aa8411f6756f9052dc697"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a130e7250746aa8411f6756f9052dc697">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerRawData::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00071">71</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="a7e1e85d781871fbdd2d2f6114f71b8f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e1e85d781871fbdd2d2f6114f71b8f1">&#9670;&nbsp;</a></span>operator ConstTrackerRawData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerRawData::operator <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>conversion to const object </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00050">50</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="a38928797b560131fa577cb57bffdb47e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38928797b560131fa577cb57bffdb47e">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerRawData::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8h_source.html#l00103">103</a> of file <a class="el" href="_tracker_raw_data_8h_source.html">TrackerRawData.h</a>.</p>

</div>
</div>
<a id="ab2e024493682d40f43cae0d7d0b24637"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2e024493682d40f43cae0d7d0b24637">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp; eic::TrackerRawData::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00033">33</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="a40ba2561240e154b3ea5a98e53bdf8cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40ba2561240e154b3ea5a98e53bdf8cd">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerRawData::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8h_source.html#l00099">99</a> of file <a class="el" href="_tracker_raw_data_8h_source.html">TrackerRawData.h</a>.</p>

</div>
</div>
<a id="ae87d2499ce3b7612a034c5d61cb09d31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae87d2499ce3b7612a034c5d61cb09d31">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerRawData::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00085">85</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

</div>
</div>
<a id="ad873d04d87edaf3a27b1e4afd16710ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad873d04d87edaf3a27b1e4afd16710ea">&#9670;&nbsp;</a></span>time() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::TrackerRawData::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the time measurement associated with the adc values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00055">55</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>, and <a class="el" href="_tracker_raw_data_data_8h_source.html#l00019">eic::TrackerRawDataData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_raw_data_8cc_source.html#l00020">TrackerRawData()</a>.</p>

</div>
</div>
<a id="ab8c542271c8277c37a59b782abce5bcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8c542271c8277c37a59b782abce5bcb">&#9670;&nbsp;</a></span>time() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawData::time </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the time measurement associated with the adc values. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8cc_source.html#l00062">62</a> of file <a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_raw_data_obj_8h_source.html#l00030">eic::TrackerRawDataObj::data</a>, and <a class="el" href="_tracker_raw_data_data_8h_source.html#l00019">eic::TrackerRawDataData::time</a>.</p>

</div>
</div>
<a id="a1f2532c84bcc6d7381030c8a58dc992c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f2532c84bcc6d7381030c8a58dc992c">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerRawData::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_tracker_raw_data_8h_source.html#l00097">97</a> of file <a class="el" href="_tracker_raw_data_8h_source.html">TrackerRawData.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_raw_data_8h_source.html">TrackerRawData.h</a></li>
<li>src/<a class="el" href="_tracker_raw_data_8cc_source.html">TrackerRawData.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
